const audio = require('./behaviors/audio.js')
Component({
  behaviors: [audio],
  /**
   * 组件的属性列表
   */
  properties: {
    hasBackgroundAudio: { type: Boolean, defaut: false }
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    // 切换音频
    switchAudio() {
      this.triggerEvent('switchAudio')
    }
  }
})
