const video = require('./behaviors/video.js')
Component({
  behaviors: [video],
  /**
   * 组件的属性列表
   */
  properties: {
    ppts: { type: Array, value: [] },
    hasBackgroundAudio: { type: Boolean, defaut: false }
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    // 切换音频
    switchAudio() {
      // 全屏中退出全屏
      this.pause()
      this.data.isFullscreen && this.exitFullScreen()
      this.triggerEvent('switchAudio')
    }
  }
})
